INTEL2GAS(1)

NAME
intel2gas - convert between NASM assembly and GAS assembly language

SYNOPSIS
intel2gas [-higmtcIdV] [-o outfile] [infile]

DESCRIPTION
This manual page documents briefly the intel2gas command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

intel2gas is a small text parser that can convert assembler source written in NASM syntax to gas syntax. And nowadays more often also the other way.

OPTIONS

-h  Show summary of options.

-i  convert from intel to at&t format (default)

-g  convert from at&t to intel format

-m  convert from masm to at&t format

-t  convert from tasm to at&t format

-c  understand C style comments

-I  convert inline assembler (intel to at&t only)

-d  output all % chars as %%

-V  show version

ENVIRONMENT

I2G_DATA
    should indicate the location of the syntax files if they are not installed in the default location. The value should be a path to the directory with the subdirectories g2i, i2g and m2g.

FILES

/usr/share/intel2gas/{g2i,i2g,m2g}/*
    syntaxfiles for the translation.

SEE ALSO
There is some other documentation available in the files README, INSTALL and DATAFILES which reside in /usr/share/doc/intel2gas.

AUTHORS
The author of the program is Mikko Tiihonen <mikko.tiihonen@hut.fi>. This manual page was written by Alexander Zangerl <az@snafu.priv.at>, for the Debian GNU/Linux system (but may be used by others).